<!DOCTYPE html>
<HTML>
<!--

FastPACS
 
2006-2016 Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA

-->
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Globalization" %>
<%@ Import Namespace="DIOWave" %>
<script src="classes.cs" runat="server" />
<script runat="server">
//======================================================================

	//==============================
	//
	//==============================
	String PatientID = null;
	String PatientID_OP = null;
	String PatientName = null;
	String PatientName_OP = null;
	String Patient_COMB = null;
	String StudyDate = null;
	String Modality = null;

	String Year = "";
	String Month = "";
	String Date = "";

	int box1_width, box2_width;

	//==============================
	//
	//==============================
	void main() {
		PatientID = get_opt_str("PatientID", "");
		PatientID_OP = get_opt_str("PatientID-OP", "EQ");
		PatientName = get_opt_str("PatientName", "");
		PatientName_OP = get_opt_str("PatientName-OP", "OP");
		Patient_COMB = get_opt_str("Patient-COMB", "AND");
		StudyDate = get_opt_str("StudyDate", "");
		Modality = get_opt_str("Modality", "");

		if (StudyDate.Length != 0) {
			if (StudyDate.IndexOf('%') < 0) {
				Year = StudyDate.Substring(0, 4);
				Month = StudyDate.Substring(4, 2);
				Date = StudyDate.Substring(6, 2);
			} else if (StudyDate.IndexOf('%') == 4) {
				Year = StudyDate.Substring(0, 4);
			} else if (StudyDate.IndexOf('%') == 6) {
				Year = StudyDate.Substring(0, 4);
				Month = StudyDate.Substring(4, 2);
			}
		}
	}
//========================================================================================
</script>
<%
//========================================================================================
	setup(Request);
	main();
//========================================================================================
%>
 <div class="form">
	<div>
		<h2>FastPACS Web</h2>
		<br>
		<h2 class="blue">Patient Information</h2>
		<div class="row">
			<form id="form" NAME="PatientForm">
			<div class="span2 text-right"><label>ID:</label></div>
			<div class="span6">
				<SELECT NAME="PatientID-OP" class="PatientID-OP chzn-select" style="width:115px">
					<OPTION VALUE="OP" <%=PatientID_OP == "OP" ? "selected='selected'" : ""%>>Contains</OPTION>
					<OPTION VALUE="EQ" <%=PatientID_OP == "EQ" ? "selected='selected'" : ""%>>Matches</OPTION>
					<OPTION VALUE="AB" <%=PatientID_OP == "AB" ? "selected='selected'" : ""%>>Starts With</OPTION>
					<OPTION VALUE="YZ" <%=PatientID_OP == "YZ" ? "selected='selected'" : ""%>>Ends With</OPTION>
				</SELECT>
				<input  NAME="PatientID" ID="PatientID" type="text" class="chzn"  VALUE="<%=PatientID%>" style="width: 175px;margin-left: 5px;" tabindex="1">
			</div>
			<div class="span1" style="position:absolute;top:18px;right: 30px">
				<SELECT NAME="Patient-COMB" class="Patient-COMB chzn-select" style="width:60px;">
					<OPTION VALUE="AND" <%=Patient_COMB == "AND" ? "selected='selected'" : ""%>>and</OPTION>
					<OPTION VALUE="OR" <%=Patient_COMB == "OR" ? "selected='selected'" : ""%>>or</OPTION>
				</SELECT>
			</div>
			<div class="clear"></div>
			<div class="span2 text-right"><label>Name:</label></div>
			<div class="span6">
				<SELECT NAME="PatientName-OP" class="PatientName-OP chzn-select" style="width:115px">
					<OPTION VALUE="OP" <%=PatientName_OP == "OP" ? "selected='selected'" : ""%>>Contains</OPTION>
					<OPTION VALUE="EQ" <%=PatientName_OP == "EQ" ? "selected='selected'" : ""%>>Matches</OPTION>
					<OPTION VALUE="AB" <%=PatientName_OP == "AB" ? "selected='selected'" : ""%>>Starts With</OPTION>
					<OPTION VALUE="YZ" <%=PatientName_OP == "YZ" ? "selected='selected'" : ""%>>Ends With</OPTION>
				</SELECT>
				<input name="PatientName" id="PatientName"  type="text" class="chzn" VALUE="<%=PatientName%>" style="width: 175px;margin-left: 5px;" tabindex="2">
			</div>

			<div class="clear"></div>
			<div class="span6 offset2 text-right">
				<input  type="submit" class="btn btn-inset" value="Find by Patient&#39;s Info" onclick="return patient_query();" tabindex="3">
			</div>
			<div class="clear"></div>
		</form>
		</div>
		<h2 class="blue top-space-10">Study Date</h2>
		<div class="row">
			<FORM NAME="DateForm">
			<div class="span2 text-right"><label>Month:</label></div>
			<div class="span6">
				<input  type="text" class="chzn" VALUE="<%=Month%>" style="width: 55px" name='Month' id='Month' tabindex="4">
				<label class="left-space-10" style="width:34px">Date:</label>
				<input  type="text" class="chzn" VALUE="<%=Date%>" style="width: 55px"  name='Date' id='Date' tabindex="5">
				<label class="left-space-10" style="width:34px">Year:</label>
				<input  type="text" class="chzn" VALUE="<%=Year%>" style="width: 55px"  name='Year' id='Year' tabindex="6">
			</div>
			<div class="clear"></div>
			<div class="span6 offset2">
				<input  type="button" class="btn btn-inset ie_left" value="Today" id="today" onClick="set_today();return false;" tabindex="7">
				<input  type="button" class="btn btn-inset ie_left" value="Yesterday"  id="yesterday" onClick="set_yesterday();return false;" tabindex="8">
				<input  type="submit" class="btn btn-inset fright" value="Find by Study Date" onClick="return date_query();" tabindex="9">
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
			</form>
		</div>
		<div class="row top-space-10">
			<FORM NAME="ModalityForm">
				<div class="span2 text-right"><label>Select Modality:</label></div>
				<div class="span6">
					<SELECT NAME="ModalitySelect" data-placeholder="" class="ModalitySelect chzn-select" style="width:115px;display:block;" id="sep_cell" >
						<OPTION VALUE=""> </OPTION>
						<OPTION VALUE="CT">CT</OPTION>
						<OPTION VALUE="MR">MR</OPTION>
						<OPTION VALUE="CR">CR</OPTION>
					</SELECT>
				</div>
				<div class="clear"></div>
				<div class="span2 text-right"><label>Enter Modalities:</label></div>
				<div class="span6">
					<input NAME="ModalityText" ID="ModalityText" VALUE="<%=Modality%>" type="text" class="chzn" style="width: 105px"  tabindex="10">
				</div>
				<div class="clear"></div>
			</form>
		</div>
		<div class="row top-space-10">
			<FORM NAME="TotalForm">
				<div class="span6 offset2">
					<input  type="button" class="btn btn-inset ie_left" value="Clear" id="clear" onClick="return reset_all();" tabindex="11" >
					<input  type="submit" class="btn btn-inset fright" value="Find by combinations" onclick="return combined_query();" tabindex="12">
				</div>
				<div class="clear"></div>
			</form>
		</div>
		<div class="row top-space-10" style="border: 0">
			<div class="span6 offset2">
				<span class="white top-space-5 ie_left">v2.0.2 (71513.1)</span>
				<input  type="button" class="btn fright btn-support" onClick="javascript:window.open('http://www.precisiondiagnostic.com/download/FastPACS2UserGuide.pdf');" VALUE="Support"title="View FastPACS User Guide" tabindex="13">
			</div>
			<div class="clear"></div>
		</div>
		<br/>
		<div style="text-align:center">
			<span class="grey top-space-5" >Not for primary interpretation</span>
		</div>
	</div>
</div>
<div class="clear"></div>