<!DOCTYPE html>
<noscript>
<html>
<!--

FastPACS
2006-2013 by Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA

FastPACS On-Line Support
Contents copyright Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA


-->
<img src="/DIOWave/PDSI-Images_bl2.gif" alt="" style="border: none; height: 72px; width: 236px; " />
<h1>Welcome to FastPACS</h1>
<h2>Please enable Javascript in your browser and reconnect.</h2>
</html>
</noscript>
<html>
<!--

FastPACS
2006-2013 by Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA

FastPACS On-Line Support
Contents copyright Precision Diagnostic Systems, Inc.
Maple Park, IL 60151 USA


-->
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Globalization" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>
<%@ Import Namespace="DIOWave" %>
<%@ Import Namespace="System.IO" %>
<script src="classes.cs" runat="server" />
<script src="list-custom.cs" runat="server" />
<script runat="server">
//========================================================================================

	//==============================
	//
	//==============================
	string qs = null;

	XmlNodeList server_list;

	//==============================
	//
	//
	//
	//==============================
	class StudyObject {

		public String SERVER;

		public Int32 SEQ_NO;
		public String VOLUME;
		public String LOCATION;
		public String PATH;
		public String REF_FILE;
		public String STUDY_DT;
		public String PatientID;
		public String PatientName;
		public String StudyDate;
		public String StudyTime;
		public String StudyID;
		public String Modality;

		static int ord_SEQ_NO;
		static int ord_VOLUME;
		static int ord_PATH;
		static int ord_REF_FILE;
		static int ord_STUDY_DT;
		static int ord_PatientID;
		static int ord_PatientName;
		static int ord_StudyDate;
		static int ord_StudyTime;
		static int ord_StudyID;
		static int ord_Modality;

		static bool ordinals_inited = false;
		static public void init_ordinals(IDataReader reader) {
			ord_SEQ_NO = reader.GetOrdinal("SEQ_NO");
			ord_VOLUME = reader.GetOrdinal("VOLUME");
			ord_PATH = reader.GetOrdinal("PATH");
			ord_REF_FILE = reader.GetOrdinal("REF_FILE");
			ord_STUDY_DT = reader.GetOrdinal("STUDY_DT");
			ord_PatientID = reader.GetOrdinal("PatientID");
			ord_PatientName = reader.GetOrdinal("PatientName");
			ord_StudyDate = reader.GetOrdinal("StudyDate");
			ord_StudyTime = reader.GetOrdinal("StudyTime");
			ord_StudyID = reader.GetOrdinal("StudyID");
			ord_Modality = reader.GetOrdinal("Modality");
			ordinals_inited = true;
		}

		public StudyObject(IDataReader reader) {

			if (!ordinals_inited)
				init_ordinals(reader);

			this.SERVER = null;

			this.SEQ_NO = reader.GetInt32(ord_SEQ_NO);
			this.VOLUME = reader.GetString(ord_VOLUME);
			this.LOCATION = null;
			this.PATH = reader.GetString(ord_PATH);
			this.REF_FILE = reader.GetString(ord_REF_FILE);
			this.STUDY_DT = reader.GetString(ord_STUDY_DT);
			this.PatientID = reader.GetString(ord_PatientID);
			this.PatientName = reader.GetString(ord_PatientName);
			this.StudyDate = reader.GetString(ord_StudyDate);
			this.StudyTime = reader.GetString(ord_StudyTime);
			this.StudyID = reader.GetString(ord_StudyID);
			this.Modality = reader.GetString(ord_Modality);
		}

		public StudyObject(DIOWaveRemote.StudyObject rso, String server) {
			this.SERVER = server;

			this.SEQ_NO = rso.SEQ_NO;
			this.VOLUME = rso.VOLUME;
			this.LOCATION = rso.LOCATION;
			this.PATH = rso.PATH;
			this.REF_FILE = rso.REF_FILE;
			this.STUDY_DT = rso.STUDY_DT;
			this.PatientID = rso.PatientID;
			this.PatientName = rso.PatientName;
			this.StudyDate = rso.StudyDate;
			this.StudyTime = rso.StudyTime;
			this.StudyID = rso.StudyID;
			this.Modality = rso.Modality;
		}
	}

	//==============================
	//
	//==============================
	void main() {

		string PatientID = get_opt_str("PatientID", null);
		string StudyDate = get_opt_str("StudyDate", null);

		if (PatientID != null)
			qs = "?PatientID=" + PatientID + "&PatientID-OP=OP";

		if (StudyDate != null) {
			if (qs == null)
				qs = "?";
			else
				qs += "&";
			qs += "StudyDate=" + StudyDate;
		}
	}
//========================================================================================
</script>

<%
//========================================================================================
	XmlDocument config_dom = (XmlDocument)Application.Get("DIOWaveConf");
	server_list = config_dom.SelectNodes("/DIOWaveConfiguration/REMOTE-DIOWAVE");
	setup(Request);
	main();
//========================================================================================
%>


<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <TITLE>FastPACS</TITLE>
    <meta name="keywords" content="">
    <meta name="description" content="">
	<link rel="stylesheet" type="text/css" href="/media/css/jquery.paginate.css">
    <link rel="stylesheet" type="text/css" href="media/css/jquery.jscrollpane.css">
    <link rel="stylesheet" type="text/css" href="media/css/reset.css">
    <link rel="stylesheet" type="text/css" href="media/css/chosen.css">
    <link rel="stylesheet" type="text/css" href="media/css/base.css">
    <script type="text/javascript" src="media/js/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="media/js/jquery.mousewheel.js"></script>
    <script type="text/javascript" src="media/js/jquery.jscrollpane.js"></script>
    <script type="text/javascript" src="media/js/chosen.jquery.js"></script>
    <script type="text/javascript" src="media/js/jquery-ui.js"></script>
    <script type="text/javascript" src="media/js/jquery.ba-bbq.min.js"></script>
    <script type="text/javascript" src="media/js/hashParser.js"></script>
	<script type="text/javascript" src="media/js/jquery.paginate.js"></script>
	<script type="text/javascript" src="media/js/custom.js"></script>
	<!--[if lte IE 7]><link rel="stylesheet" type="text/css" href="media/css/ie.css"><![endif]-->
</head>
<body class="mobile">
<div class="navbar">
    <div class="navbar-inner">
        <img src="media/images/logo.png" alt="precision fast pacs">
    </div>
</div>

<div class="container-fluid">
        <div class="sidebar">
			<div class="sidebarinner">
			<!--study list goes here -->
			</div>
			<div style="height:23px" class="sidebarbg"></div>
        </div>
        <div class="main">
            <!--query form goes here -->
        </div>
</div>
<script type="text/javascript">
//------------------------------
//
//------------------------------
var query_history = null;
//------------------------------
//
//------------------------------
function find_study(key, query) {
	$("input").blur();
	$("body").focus();
	try { document.body.style.zoom = 1.0; } catch(e) {}
	$('body, html').animate({scrollTop: 0, scrollLeft: 0}, 0);

	if (query_history == null)
		query_history = new Array();
	else if (query_history.length > 256)
<% if (m_browser.type == "IE" && m_browser.version < 5.5) { %>
		query_history = query_history.slice(0, -1);
<% } else { %>
		query_history.pop();
<% } %>

<% if (m_browser.type == "IE" && m_browser.version < 5.5) { %>
	var new_list = new Array(query);
	new_list = new_list.concat(query_history);
	query_history = new_list;
<% } else { %>
	query_history.unshift(query);
<% } %>
	reloadStudyList('studylist.aspx?F=' + key + query);
}
//------------------------------
//
//------------------------------
function find_study_back() {
	if (query_history != null && query_history.length > 1) {
<% if (m_browser.type == "IE" && m_browser.version < 5.5) { %>
		query_history = query_history.slice(1);
<% } else { %>
		query_history.shift();
<% } %>
		reloadStudyList('studylist.aspx?F=B' + query_history[0]);
	}
}
//------------------------------
//
//------------------------------
function open_query_page() {
	var url = '';
	if (query_history == null || query_history.length == 0)
		url = 'query.aspx';
	else
		url = 'query.aspx?F=1' + query_history[0];
	url = 'query.aspx';

	$("body").removeClass("blue");

	$(".sidebar").hide();

	reloadQueryForm(url);

	dontReloadHash = true;
	location.hash = '';
}
//------------------------------
//
//------------------------------
function restoreMainPosition()
{
	$(".main").offset({top: 32});
	$(".navbar").offset({top: 0});
	window.scrollTo(0,0);
}
//------------------------------
//
//------------------------------
//function patient_query() {
//
//	var pq = patient_query_param();
//	if (pq.length == 0) {
//		alert('Please insert patient information');
//		restoreMainPosition();
//		return false;
//	}
//
//	top.find_study('P', pq);
//
//	return false;
//}

//----------------------------------------------------------------------------------------
//------------------------------
//
//------------------------------
function modality_query_param() {
	var fe = document.forms['ModalityForm'].elements;
	var sel = fe['ModalitySelect'];
	var modsel = sel.options[sel.selectedIndex].value;

	var modtext = fe['ModalityText'].value;

	if (modtext.length != 0) {
		if (modsel.length != 0 && modtext.indexOf(modsel) < 0)
			modtext += ' ' + modsel;
		return '&Modality=' + escape(modtext);
	} else if (modsel.length != 0) {
		return '&Modality=' + escape(modsel);
	} else {
		return '';
	}
}

//------------------------------
//
//------------------------------
function patient_query_param() {
	var fe = document.forms['PatientForm'].elements;

	var pid = fe['PatientID'].value;
	var sel = fe['PatientID-OP'];
	var pid_op = sel.options[sel.selectedIndex].value;
	var name = fe['PatientName'].value;
	name = name.replace("'","''");
	sel = fe['PatientName-OP'];
	var name_op = sel.options[sel.selectedIndex].value;
	sel = fe['Patient-COMB'];
	var comb = sel.options[sel.selectedIndex].value;

	if (pid.length == 0 && name.length == 0) {
		return '';
	}

	var pid_param = '';
	if (pid.length > 0)
		pid_param = '&PatientID=' + escape(pid) + '&PatientID-OP=' + escape(pid_op);

	var name_param = '';
	if (name.length > 0)
		name_param = '&PatientName=' + escape(name) + '&PatientName-OP=' + escape(name_op);

	var param = pid_param + name_param;
	if (pid_param.length > 0 && name_param.length > 0)
		param += '&Patient-COMB=' + escape(comb);

	return param;
}

//------------------------------
//
//------------------------------
function set_today() {
	var today = new Date();
	var fe = document.forms['DateForm'].elements;

	fe['Year'].value = today.getYear() < 1900 ? 1900 + today.getYear() : today.getYear();
	fe['Month'].value = today.getMonth() + 1;
	fe['Date'].value = today.getDate();
}
function set_yesterday() {
	var yesterday = new Date((new Date()).getTime() - 86400000); //86400000 ms in a day
	var fe = document.forms['DateForm'].elements;

	fe['Year'].value = yesterday.getYear() < 1900 ? 1900 + yesterday.getYear() : yesterday.getYear();
	fe['Month'].value = yesterday.getMonth() + 1;
	fe['Date'].value = yesterday.getDate();
}

//------------------------------
//
//------------------------------
function date_query_param() {
	var today = new Date();
	var yesterday = new Date((new Date()).getTime() - 86400000); //86400000 ms in a day

	var fe = document.forms['DateForm'].elements;

	var y = $.trim(fe['Year'].value);
	var m = $.trim(fe['Month'].value);
	var d = $.trim(fe['Date'].value);


	if (y.length == 0 && m.length == 0 && d.length == 0) {
		return '';
	} else if (d.length != 0) {
		d = parseInt(d, 10);

		if (y.length == 0) {
			y = today.getYear() < 1900 ? 1900 + today.getYear() : today.getYear();
			fe['Year'].value = y;
		} else {
			y = parseInt(y, 10);
		}

		if (m.length == 0) {
			m = today.getMonth() + 1;
			fe['Month'].value = m;
		} else {
			m = parseInt(m, 10);
		}

		var di = (y * 100 * 100) + (m * 100) + (d);
		return '&StudyDate=' + di;

	} else if (m.length != 0) {
		m = parseInt(m, 10);

		if (y.length == 0) {
			y = today.getYear() < 1900 ? 1900 + today.getYear() : today.getYear();
			fe['Year'].value = y;
		} else {
			y = parseInt(y, 10);
		}

		d = 0;

		var di = (y * 100 * 100) + (m * 100) + (d);
		di = String(di);
		return  '&StudyDate=' + escape(di.substr(0, 6) + '%');
	} else {
		y = parseInt(y, 10);

		m = d = 0;

		var di = (y * 100 * 100) + (m * 100) + (d);
		di = String(di);
		return  '&StudyDate=' + escape(di.substr(0, 4) + '%');
	}
}

//------------------------------
//
//------------------------------
function patient_query() {

	var pq = patient_query_param();
	if (pq.length == 0) {
		alert('Please insert patient information');
		restoreMainPosition();
		return false;
	}

	top.find_study('P', pq);

	dontReloadHash = true;
	location.hash = pq;

	return false;
}

//------------------------------
//
//------------------------------
function date_query() {

	var dq;
	try {
		dq = date_query_param();
	}
	catch (err) {
		dq = '';
	}
	if (dq.length == 0) {
		alert('Please insert date information');
		restoreMainPosition();
		return false;
	}

	top.find_study('D', dq);

	dontReloadHash = true;
	location.hash = dq;

	return false;
}

//------------------------------
//
//------------------------------
function combined_query() {

	var pq = patient_query_param();

	var dq = date_query_param();
	if (pq.length == 0 && dq.length == 0) {
		alert('Please insert patient or study date information');
		restoreMainPosition();
		return false;
	}

	var mq = modality_query_param();

	top.find_study('C', pq + dq + mq);

	dontReloadHash = true;
	location.hash = pq + dq + mq;

	return false;
}

//------------------------------
//
//------------------------------
function reset_all() {


    //$("#form input[type=text]").val('');

	$('#PatientID').val('');
	$(".PatientID-OP").val('EQ').trigger("liszt:updated");
	$('#PatientName').val('');
	$('.PatientName-OP').val('OP').trigger("liszt:updated");
	$('.Patient-COMB').val('AND').trigger("liszt:updated");


	$('#Year').val('');
	$('#Month').val('');
	$('#Date').val('');

	$('.ModalitySelect').val('').trigger("liszt:updated");
	$('#ModalityText').val('');
	return false;
}

</script>

<SCRIPT LANGUAGE=JavaScript>
//----------------------------------------------------------------------------------------

//------------------------------
//
//------------------------------
function FBQ(query) {
	top.find_study('q', query);
}
//------------------------------
//
//------------------------------
function FBSD(date) {
	top.find_study('d', '&StudyDate=' + escape(date));
}
//------------------------------
//
//------------------------------
function FBPI(pid) {
	top.find_study('p', '&PatientID=' + escape(pid) + '&PatientID-OP=EQ');
}
//------------------------------
//
//------------------------------
function FBSQ(server, seq_no, pid, date, modality) {
	top.find_study('s', '&SEQ_NO=' + escape(seq_no) + (server.length == 0 ? '' : '&SERVER=' + server) + '&PatientID=' + escape(pid) + '&PatientID-OP=EQ&StudyDate=' + escape(date) + '&Modality=' + escape(modality));
}

//------------------------------
//
//------------------------------
function open_spatial_series_viewer(server, volume, path, series_uid) {

	var ww = $('.main').width();
	var wh = $('.main').height();

	var html = '<iframe id="iframe" src="'+(server.length == 0 ? 'spatial-series-viewer.aspx' : 'http://' + server + '<%=Request.ApplicationPath%>/spatial-series-viewer.aspx')
		+ '?WW=' + ww
		+ '&WH=' + wh
		+ '&ZX=-1'
		+ '&ZY=-1'
		+ '&VOLUME=' + escape(volume)
		+ '&PATH=' + escape(path)
		+ '&SERIES=' + escape(series_uid) + '" scrolling="no" frameborder="0"></iframe>';

	$('.main').html(html);

	$("body").addClass('blue')

	resizeIframe();
}
//------------------------------
//
//------------------------------
function open_xp_study_viewer(server, volume, path, image_path) {
/*
	$.get((server.length == 0 ? 'xp-study-viewer.aspx' : 'http://' + server + '<%=Request.ApplicationPath%>/xp-study-viewer.aspx')
		+ '?WW=' + $('.main').width()
		+ '&WH=' + $('.main').height()
		+ '&VOLUME=' + escape(volume)
		+ '&PATH=' + escape(path)
		+ '&IMAGE=' + escape(image_path), function(response) {
			$('.main').html(response);
			reloadXpStudyViewer();
	});
	*/

	var ww =  $('.main').width();
	var wh = $('.sidebar').height();

	var html = '<iframe id="iframe" src="'+(server.length == 0 ? 'xp-study-viewer.aspx' : 'http://' + server + '<%=Request.ApplicationPath%>/xp-study-viewer.aspx')
		+ '?WW=' + ww
		+ '&WH=' + wh
		+ '&ZX=-1'
		+ '&ZY=-1'
		+ '&VOLUME=' + escape(volume)
		+ '&PATH=' + escape(path)
		+ '&IMAGE=' + escape(image_path) + '" scrolling="no" frameborder="0"></iframe>';

	$('.main').html(html);

	$("body").addClass('blue')

	resizeIframe();
}

//------------------------------
//
//------------------------------
<%=open_report_func()%>

//----------------------------------------------------------------------------------------
</SCRIPT>
<script type="text/javascript" id="sourcecode">
	var isAndroid = /Android/i.test(navigator.userAgent);
        $(function()
        {
			if( /Android|webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent) ) {
				//location.href = 'default-mobile.aspx';
			}

			/* check for iPad
			if( /iPad/i.test(navigator.userAgent) ) {

			}
			*/

			if (isAndroid)
				initPagination();
			else
				initJScrollpane();

            $(window).resize(function() {
				if (isAndroid)
					initPagination();
				else
					initJScrollpane();
				resizeIframe();
            });

			//var w = $('.container-fluid').width() - $('.sidebar').width() - 40;
            //$('.main').width(w);
			reloadQueryForm('query.aspx');
        });

		function resizeIframe() {
			if ($('#iframe').length > 0) {
				var w = $('body').innerWidth() - $('.sidebar').width() - 21;
				var h = $('.sidebar').height() + 6;
				//$('.main').width(w);
				//$('#iframe').width(w).height(h);
				$('#iframe').height(h);
			}
		}

		function initQueryForm() {
			$(".chzn-select").chosen({
                disable_search_threshold: 8,
				placeholder_text: ' ',
                allow_single_deselect:true
            }).change(function(){ if(typeof api  != 'undefined') api.reinitialise();});

			$('.chzn-container input').focus(function(){
				var me = $(this);
				me.attr('readonly', 'readonly').attr('disabled', 'disabled');
				var div = me.closest('.chzn-container');
				div.attr('tabindex', 0);
				div.focus();

				setTimeout(function(){
					me.removeAttr('readonly').removeAttr('disabled');
					div.focus();
				}, 10);
			});


            $("#yesterday").click(function(){
                var yesterday = new Date();
                yesterday.setDate(yesterday.getDate() - 1);

                var dd = yesterday.getDate();
                var mm = yesterday.getMonth()+1;
                var yyyy = yesterday.getFullYear();
                $("input[name=month]").val(mm);
                $("input[name=date]").val(dd);
                $("input[name=year]").val(yyyy);
            });

            $("#today").click(function(){
                var today = new Date();
                var dd = today.getDate();
                var mm = today.getMonth()+1;
                var yyyy = today.getFullYear();
                $("input[name=month]").val(mm);
                $("input[name=date]").val(dd);
                $("input[name=year]").val(yyyy);
            });
		}

		function initJScrollpane() {
			var height = $(window).height()-96; //109;
            $(".sidebar .items").css("height",height+"px");
			$(".scroll-pane").css({height:height+"px",overflow:"auto"});
            $('.scroll-pane').jScrollPane({
                showArrows: false,
                autoReinitialise: true,
				verticalBar: 'right',
                verticalDragMinHeight: 28,
                verticalDragMaxHeight: 28
            });
		}

		function initPagination() {
			var height = $(window).height()- 96 - 25 + 12; //109;
            $(".sidebar .items").css("height",height+"px");
			var pane = $(".scroll-pane");
			pane.css({
				'overflow-x': 'hidden',
				'overflow-y': 'auto',
				padding:	0,
				marginLeft: '40px'
			});

			return;

			var pages = [];
			var index = 0;
			var curPage = null;
			var curHeight = 0;
			var commonHeight = 0;
			pane.children(":not(div.item):not(#pageInner)").each(function(){
				commonHeight += $(this).outerHeight();
			});
			pane.find("div.item").each(function(){
				var me=$(this);
				var mheight = me.outerHeight();
				console.log(curHeight,mheight,height,curHeight+mheight>=height);
				if ((curHeight+mheight>=height) || (curPage==null))
				{
					index++;
					if (curPage!=null)
						pages.push(curPage);
					curPage = $("<div id='page"+index+"' class='page'></div>");
					curHeight = commonHeight;
				}
				curPage.append(me);
				curHeight += mheight;
			});
			if (curPage!=null)
			{
				pages.push(curPage);
			}
			else
				pages.push($('<div></div>'));
			$("#pageInner").remove();
			var paneInner = $("<div id='pageInner'></div>").appendTo(pane);
			$(pages).each(function(){
				var me=$(this);
				paneInner.append(me);
				me.hide();
			});
			pages[0].show();

			$(".pagination").paginate({
				count 		: index,
				start 		: 1,
				display     : 3,
				border					: true,
				border_color			: '#fff',
				text_color  			: '#fff',
				background_color    	: 'black',
				border_hover_color		: '#ccc',
				text_hover_color  		: '#000',
				background_hover_color	: '#fff',
				images					: false,
				mouse					: 'press',
				onChange     			: function(page){
											$('.page').hide();
											$('#page'+page).show();
										  }
			});
		}

		function reloadStudyList(url) {
			$.get(url, function(response){
				$('.sidebarinner').html(response);
				//change the css to display the sidebar correctly
				$('.sidebar').show();

				if (isAndroid)
					initPagination();
				else
					initJScrollpane();

				var w = $('body').innerWidth() - $('.sidebar').width() - 21;
				var h = $('.sidebar').height();
				//$('.main').width(w);
				//$('.main').height(h);
				$('.main').css({'float':'left', 'margin-left':'290px', 'width': 'auto'});
				$('.form').css('position', 'static');
			});
		}

		function reloadQueryForm(url) {
			$.get(url, function(response){
				$('.main').html(response);
				initQueryForm();
				$(document).trigger('queryFormLoaded');
			});
		}

		function reloadXpStudyViewer() {
			var refreshIntervalId = false;

            $(".chzn-select").chosen({
                disable_search_threshold: 8,
                drop_down_width: true,
                inherit_select_classes: true
            }).change(function(){ if(typeof api  != 'undefined') api.reinitialise();});

			$('#action').change(function(){
				var t = $(this).find('option:selected').text();
				$('#action-label').text(t);
			});

            $( "#slider-vertical" ).slider({
                orientation: "vertical",
                range: "min",
                min: 0,
                max: 100,
                value: 0,
                slide: function( event, ui ) {
                    //ui.value
                }
            });

//            $(".arrow.top").click(function(){
//                var selection = $( "#slider-vertical" ).slider( "value" ) + 2;
//                $( "#slider-vertical" ).slider( "value", selection );
//                return false;
//            });
//
//            $(".arrow.down").click(function(){
//                var selection = $( "#slider-vertical" ).slider( "value" ) - 2;
//                $( "#slider-vertical" ).slider( "value", selection );
//                return false;
//            });


            $(".arrow.down").mousedown(function(){
                refreshIntervalId = setInterval(SlideDown, 1);
            }).mouseup(function(){
                clearInterval(refreshIntervalId);
            });

            $(".arrow.top").mousedown(function(){
                refreshIntervalId = setInterval(SlideUp, 1);
            }).mouseup(function(){
                clearInterval(refreshIntervalId);
            });

			function SlideDown() {
				var selection = $( "#slider-vertical" ).slider( "value" ) - 1;
				$( "#slider-vertical" ).slider( "value", selection );
			}
			function SlideUp() {
				var selection = $( "#slider-vertical" ).slider( "value" ) + 1;
				$( "#slider-vertical" ).slider( "value", selection );
			}

			$('#overlay').change(function(){
				var v = $(this).find('option:selected').val();
				change_overlay(v);
			});
		}


    </script>

</body>
</html>
